Index: branches/UKMO/dev_r5518_RH_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90
===================================================================
--- branches/UKMO/dev_r5518_RH_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 6638)
+++ branches/UKMO/dev_r5518_RH_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 6639)
@@ -3308,119 +4703,129 @@
          zn_sed_ca(:,:) = za_sed_ca(:,:)
       endif
-      DO jj = 2,jpjm1
-         DO ji = 2,jpim1
-            trc2d(ji,jj,131) = za_sed_n(ji,jj)
-            trc2d(ji,jj,132) = za_sed_fe(ji,jj)
-            trc2d(ji,jj,133) = za_sed_c(ji,jj)
-            trc2d(ji,jj,134) = za_sed_si(ji,jj)
-            trc2d(ji,jj,135) = za_sed_ca(ji,jj)
+      IF( ln_diatrc ) THEN
+         DO jj = 2,jpjm1
+            DO ji = 2,jpim1
+               trc2d(ji,jj,131) = za_sed_n(ji,jj)
+               trc2d(ji,jj,132) = za_sed_fe(ji,jj)
+               trc2d(ji,jj,133) = za_sed_c(ji,jj)
+               trc2d(ji,jj,134) = za_sed_si(ji,jj)
+               trc2d(ji,jj,135) = za_sed_ca(ji,jj)
+            ENDDO
          ENDDO
-      ENDDO
-
+         !! AXY (07/07/15): temporary hijacking
+# if defined key_roam
+  !!       trc2d(:,:,126) = zn_dms_chn(:,:)
+  !!       trc2d(:,:,127) = zn_dms_chd(:,:)
+  !!       trc2d(:,:,128) = zn_dms_mld(:,:)
+  !!       trc2d(:,:,129) = zn_dms_qsr(:,:)
+  !!       trc2d(:,:,130) = zn_dms_din(:,:)
+# endif
+      ENDIF 
+      !!
       if (ibenthic.eq.2) then
          !! The code below (in this if ... then ... endif loop) is
          !! effectively commented out because it does not work as 
          !! anticipated; it can be deleted at a later date
-      if (jorgben.eq.1) then
-         za_sed_n(:,:)  = ( f_sbenin_n(:,:)  + f_fbenin_n(:,:)  - f_benout_n(:,:)  ) * rdt
-         za_sed_fe(:,:) = ( f_sbenin_fe(:,:) + f_fbenin_fe(:,:) - f_benout_fe(:,:) ) * rdt
-         za_sed_c(:,:)  = ( f_sbenin_c(:,:)  + f_fbenin_c(:,:)  - f_benout_c(:,:)  ) * rdt
-      endif
-      if (jinorgben.eq.1) then
-         za_sed_si(:,:) = ( f_fbenin_si(:,:) - f_benout_si(:,:) ) * rdt
-         za_sed_ca(:,:) = ( f_fbenin_ca(:,:) - f_benout_ca(:,:) ) * rdt
-      endif
-      !!
-      !! Leap-frog scheme - only in explicit case, otherwise the time stepping
-      !! is already being done in trczdf
-      !! IF( l_trczdf_exp .AND. (ln_trcadv_cen2 .OR. ln_trcadv_tvd) ) THEN
-      !!    zfact = 2. * rdttra(jk) * FLOAT( ndttrc )
-      !!    IF( neuler == 0 .AND. kt == nittrc000 )   zfact = rdttra(jk) * FLOAT(ndttrc)
-      !!    if (jorgben.eq.1) then
-      !!       za_sed_n(:,:)  = zb_sed_n(:,:)  + ( zfact * za_sed_n(:,:)  )
-      !!      za_sed_fe(:,:) = zb_sed_fe(:,:) + ( zfact * za_sed_fe(:,:) )
-      !!       za_sed_c(:,:)  = zb_sed_c(:,:)  + ( zfact * za_sed_c(:,:)  )
-      !!    endif
-      !!    if (jinorgben.eq.1) then
-      !!       za_sed_si(:,:) = zb_sed_si(:,:) + ( zfact * za_sed_si(:,:) )
-      !!       za_sed_ca(:,:) = zb_sed_ca(:,:) + ( zfact * za_sed_ca(:,:) )
-      !!    endif
-      !! ENDIF
-      !! 
-      !! Time filter and swap of arrays
-      IF( ln_trcadv_cen2 .OR. ln_trcadv_tvd  ) THEN         ! centred or tvd scheme
-         IF( neuler == 0 .AND. kt == nittrc000 ) THEN
+         if (jorgben.eq.1) then
+            za_sed_n(:,:)  = ( f_sbenin_n(:,:)  + f_fbenin_n(:,:)  - f_benout_n(:,:)  ) * rdt
+            za_sed_fe(:,:) = ( f_sbenin_fe(:,:) + f_fbenin_fe(:,:) - f_benout_fe(:,:) ) * rdt
+            za_sed_c(:,:)  = ( f_sbenin_c(:,:)  + f_fbenin_c(:,:)  - f_benout_c(:,:)  ) * rdt
+         endif
+         if (jinorgben.eq.1) then
+            za_sed_si(:,:) = ( f_fbenin_si(:,:) - f_benout_si(:,:) ) * rdt
+            za_sed_ca(:,:) = ( f_fbenin_ca(:,:) - f_benout_ca(:,:) ) * rdt
+         endif
+         !!
+         !! Leap-frog scheme - only in explicit case, otherwise the time stepping
+         !! is already being done in trczdf
+         !! IF( l_trczdf_exp .AND. (ln_trcadv_cen2 .OR. ln_trcadv_tvd) ) THEN
+         !!    zfact = 2. * rdttra(jk) * FLOAT( ndttrc )
+         !!    IF( neuler == 0 .AND. kt == nittrc000 )   zfact = rdttra(jk) * FLOAT(ndttrc)
+         !!    if (jorgben.eq.1) then
+         !!       za_sed_n(:,:)  = zb_sed_n(:,:)  + ( zfact * za_sed_n(:,:)  )
+         !!      za_sed_fe(:,:) = zb_sed_fe(:,:) + ( zfact * za_sed_fe(:,:) )
+         !!       za_sed_c(:,:)  = zb_sed_c(:,:)  + ( zfact * za_sed_c(:,:)  )
+         !!    endif
+         !!    if (jinorgben.eq.1) then
+         !!       za_sed_si(:,:) = zb_sed_si(:,:) + ( zfact * za_sed_si(:,:) )
+         !!       za_sed_ca(:,:) = zb_sed_ca(:,:) + ( zfact * za_sed_ca(:,:) )
+         !!    endif
+         !! ENDIF
+         !! 
+         !! Time filter and swap of arrays
+         IF( ln_trcadv_cen2 .OR. ln_trcadv_tvd  ) THEN ! centred or tvd scheme
+            IF( neuler == 0 .AND. kt == nittrc000 ) THEN
+               if (jorgben.eq.1) then
+                  zb_sed_n(:,:)  = zn_sed_n(:,:)
+                  zn_sed_n(:,:)  = za_sed_n(:,:)
+                  za_sed_n(:,:)  = 0.0
+                  !!
+                  zb_sed_fe(:,:) = zn_sed_fe(:,:)
+                  zn_sed_fe(:,:) = za_sed_fe(:,:)
+                  za_sed_fe(:,:) = 0.0
+                  !!
+                  zb_sed_c(:,:)  = zn_sed_c(:,:)
+                  zn_sed_c(:,:)  = za_sed_c(:,:)
+                  za_sed_c(:,:)  = 0.0
+               endif
+               if (jinorgben.eq.1) then
+                  zb_sed_si(:,:) = zn_sed_si(:,:)
+                  zn_sed_si(:,:) = za_sed_si(:,:)
+                  za_sed_si(:,:) = 0.0
+                  !!
+                  zb_sed_ca(:,:) = zn_sed_ca(:,:)
+                  zn_sed_ca(:,:) = za_sed_ca(:,:)
+                  za_sed_ca(:,:) = 0.0
+               endif
+            ELSE
+               if (jorgben.eq.1) then
+                  zb_sed_n(:,:)  = (atfp  * ( zb_sed_n(:,:)  + za_sed_n(:,:)  )) + (atfp1 * zn_sed_n(:,:) )
+                  zn_sed_n(:,:)  = za_sed_n(:,:)
+                  za_sed_n(:,:)  = 0.0
+                  !!
+                  zb_sed_fe(:,:) = (atfp  * ( zb_sed_fe(:,:) + za_sed_fe(:,:) )) + (atfp1 * zn_sed_fe(:,:))
+                  zn_sed_fe(:,:) = za_sed_fe(:,:)
+                  za_sed_fe(:,:) = 0.0
+                  !!
+                  zb_sed_c(:,:)  = (atfp  * ( zb_sed_c(:,:)  + za_sed_c(:,:)  )) + (atfp1 * zn_sed_c(:,:) )
+                  zn_sed_c(:,:)  = za_sed_c(:,:)
+                  za_sed_c(:,:)  = 0.0
+               endif
+               if (jinorgben.eq.1) then
+                  zb_sed_si(:,:) = (atfp  * ( zb_sed_si(:,:) + za_sed_si(:,:) )) + (atfp1 * zn_sed_si(:,:))
+                  zn_sed_si(:,:) = za_sed_si(:,:)
+                  za_sed_si(:,:) = 0.0
+                  !!
+                  zb_sed_ca(:,:) = (atfp  * ( zb_sed_ca(:,:) + za_sed_ca(:,:) )) + (atfp1 * zn_sed_ca(:,:))
+                  zn_sed_ca(:,:) = za_sed_ca(:,:)
+                  za_sed_ca(:,:) = 0.0
+               endif
+            ENDIF
+         ELSE                   !  case of smolar scheme or muscl
             if (jorgben.eq.1) then
-               zb_sed_n(:,:)  = zn_sed_n(:,:)
+               zb_sed_n(:,:)  = za_sed_n(:,:)
                zn_sed_n(:,:)  = za_sed_n(:,:)
                za_sed_n(:,:)  = 0.0
                !!
-               zb_sed_fe(:,:) = zn_sed_fe(:,:)
+               zb_sed_fe(:,:) = za_sed_fe(:,:)
                zn_sed_fe(:,:) = za_sed_fe(:,:)
                za_sed_fe(:,:) = 0.0
                !!
-               zb_sed_c(:,:)  = zn_sed_c(:,:)
+               zb_sed_c(:,:)  = za_sed_c(:,:)
                zn_sed_c(:,:)  = za_sed_c(:,:)
                za_sed_c(:,:)  = 0.0
             endif
             if (jinorgben.eq.1) then
-               zb_sed_si(:,:) = zn_sed_si(:,:)
+               zb_sed_si(:,:) = za_sed_si(:,:)
                zn_sed_si(:,:) = za_sed_si(:,:)
                za_sed_si(:,:) = 0.0
                !!
-               zb_sed_ca(:,:) = zn_sed_ca(:,:)
-               zn_sed_ca(:,:) = za_sed_ca(:,:)
-               za_sed_ca(:,:) = 0.0
-            endif
-         ELSE
-            if (jorgben.eq.1) then
-               zb_sed_n(:,:)  = (atfp  * ( zb_sed_n(:,:)  + za_sed_n(:,:)  )) + (atfp1 * zn_sed_n(:,:) )
-               zn_sed_n(:,:)  = za_sed_n(:,:)
-               za_sed_n(:,:)  = 0.0
-               !!
-               zb_sed_fe(:,:) = (atfp  * ( zb_sed_fe(:,:) + za_sed_fe(:,:) )) + (atfp1 * zn_sed_fe(:,:))
-               zn_sed_fe(:,:) = za_sed_fe(:,:)
-               za_sed_fe(:,:) = 0.0
-               !!
-               zb_sed_c(:,:)  = (atfp  * ( zb_sed_c(:,:)  + za_sed_c(:,:)  )) + (atfp1 * zn_sed_c(:,:) )
-               zn_sed_c(:,:)  = za_sed_c(:,:)
-               za_sed_c(:,:)  = 0.0
-            endif
-            if (jinorgben.eq.1) then
-               zb_sed_si(:,:) = (atfp  * ( zb_sed_si(:,:) + za_sed_si(:,:) )) + (atfp1 * zn_sed_si(:,:))
-               zn_sed_si(:,:) = za_sed_si(:,:)
-               za_sed_si(:,:) = 0.0
-               !!
-               zb_sed_ca(:,:) = (atfp  * ( zb_sed_ca(:,:) + za_sed_ca(:,:) )) + (atfp1 * zn_sed_ca(:,:))
+               zb_sed_ca(:,:) = za_sed_ca(:,:)
                zn_sed_ca(:,:) = za_sed_ca(:,:)
                za_sed_ca(:,:) = 0.0
             endif
          ENDIF
-      ELSE                                                   !  case of smolar scheme or muscl
-         if (jorgben.eq.1) then
-            zb_sed_n(:,:)  = za_sed_n(:,:)
-            zn_sed_n(:,:)  = za_sed_n(:,:)
-            za_sed_n(:,:)  = 0.0
-            !!
-            zb_sed_fe(:,:) = za_sed_fe(:,:)
-            zn_sed_fe(:,:) = za_sed_fe(:,:)
-            za_sed_fe(:,:) = 0.0
-            !!
-            zb_sed_c(:,:)  = za_sed_c(:,:)
-            zn_sed_c(:,:)  = za_sed_c(:,:)
-            za_sed_c(:,:)  = 0.0
-         endif
-         if (jinorgben.eq.1) then
-            zb_sed_si(:,:) = za_sed_si(:,:)
-            zn_sed_si(:,:) = za_sed_si(:,:)
-            za_sed_si(:,:) = 0.0
-            !!
-            zb_sed_ca(:,:) = za_sed_ca(:,:)
-            zn_sed_ca(:,:) = za_sed_ca(:,:)
-            za_sed_ca(:,:) = 0.0
-         endif
-      ENDIF
       endif
-
+      
       IF( ln_diatrc ) THEN
          !!----------------------------------------------------------------------
@@ -3465,7 +4870,7 @@
                trc2d(ji,jj,117) = foxy_anox(ji,jj)  !! integrated unrealised oxygen consumption
 # endif
-            END DO
-         END DO
-
+            ENDDO
+         ENDDO
+         
 # if defined key_roam
 #  if defined key_axy_nancheck
@@ -3488,6 +4893,6 @@
                         &        ji, jj, jn
                      endif
-                  enddo
-               enddo
+                  ENDDO
+               ENDDO
 	       CALL ctl_stop( 'trcbio_medusa, NAN in 2D diagnostic field' )
             endif
@@ -3509,7 +4914,7 @@
                            &        ji, jj, jk, jn
                         endif
-                     enddo
-                  enddo
-               enddo
+                     ENDDO
+                  ENDDO
+               ENDDO
 	       CALL ctl_stop( 'trcbio_medusa, NAN in 3D diagnostic field' )
             endif
@@ -3526,10 +4931,11 @@
          DO jn=1,jp_medusa_2d
              CALL lbc_lnk(trc2d(:,:,jn),'T',1. )
-         END DO 
+         ENDDO 
 
          !! Lateral boundary conditions on trc3d
          DO jn=1,jp_medusa_3d
              CALL lbc_lnk(trc3d(:,:,1,jn),'T',1. )
-         END DO 
+         ENDDO 
+
 
 # if defined key_axy_nodiag
@@ -3545,5 +4951,5 @@
 # endif
 
-# if defined key_iomput
+
          !!----------------------------------------------------------------------
          !! Add in XML diagnostics stuff
